//+------------------------------------------------------------------+
//|                                                      PngLogo.mq5 |
//|                                  Copyright 2024, MetaQuotes Ltd. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2024, MetaQuotes Ltd."
#property link      "https://www.mql5.com"
#property version   "1.00"

#include "Png.mqh" // https://www.mql5.com/en/code/45439
#resource "logo.png" as uchar png_logo[]

CPng logo(png_logo);
//+------------------------------------------------------------------+
int OnInit() {
   logo.Resize(80);
   logo._CreateCanvas(10, 10);
   return(INIT_SUCCEEDED);
}
//+------------------------------------------------------------------+
void OnTick() {}
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam) {
   if (id == CHARTEVENT_CHART_CHANGE) {
      long w=ChartGetInteger(0,CHART_WIDTH_IN_PIXELS,0);
      ObjectSetInteger(0,logo._C.m_objname,OBJPROP_XDISTANCE,w-logo._C.m_width-10);
      ChartRedraw();
   }
}
//+------------------------------------------------------------------+
